package learner;

public class Mapper {
	
	private SutWrapper sutWrapper;
	int counter;
	
	public Mapper(SutWrapper sutWrapper){
		this.sutWrapper = sutWrapper;
	}
	
	public String abstractCounter(String output){
		String concreteCounter;
		int concrCounter;
		//String abstractCounter;
		int abstrCounter;
		
		concreteCounter = sutWrapper.getATC();
		System.out.println("concreteCounter: " + concreteCounter);
		concrCounter = new Integer(concreteCounter);
		abstrCounter = concrCounter - counter;
		/*if(concrCounter == (counter+1))
			abstractCounter = "c++";
		else
			abstractCounter = "no++";*/	
		
		counter = concrCounter;
		
		//return output + "_" + abstractCounter;
		return output + "_+" + abstrCounter;
	}
	
	public void setATC(int counter){
		this.counter=counter;
	}
}
